Subject: [Ice] Tricke ICE: Suggested clarifications to Introduction

From: Christer Holmberg <[email-masked]>
Date: Sat, 24 Mar 2018 21:53:24 +0000

Hi,

Below is a suggestion on how to modify the Introduction section of draft-trickle-ice, in order to make it more clear (in my opinion).

---

1.  Introduction

   The Interactive Connectivity Establishment (ICE) protocol
   [rfc5245bis] describes mechanisms how an ICE agent gathers
   candidates, exchanges candidates with a peer ICE agent, and
   creates candidate pairs. Once the pairs have been created, the
   ICE agent will perform connectivity checks, and eventually
   nominate and select pairs that will be used for sending and
   receiving media within a session.

   Although the procedures in [rfc5245bis] are relatively straightforward
   to implement, they might lead to relatively lengthy session establishment
   times, as candidate gathering often involves querying STUN servers [RFC5389]
  and allocating relayed candidates using TURN servers [RFC5766]. Although
   many procedures can be done in parallel, the pacing requirements [rfc5245bis]
   still needs to be followed.

   This document defines a supplementary mode of ICE operation,
   "Trickle ICE", in which given candidates can be exchanged incrementally,
   as soon as they become available (and while other candidates are still
   gathered). Connectivity checks can also start as soon as candidate
   pairs have been created. Then, as Trickle ICE allows candidate gathering and
   connectivity check in parallel, the session establishment time can be
   considerable shortened.

   In addition, this document also defines how to discovers support of Trickle ICE,
   and how procedures in [rfc5245bis] are modified when using Trickle ICE. The
   document also defines how an Trickle ICE agent can interoperate with an
   ICE agent compliant to [rfc5245bis].

   This document does not define any ICE usage for Trickle ICE. Protocol
   specific details for Trickle ICE are defined in separate usage documents.
   Examples of such documents are [I-D.ietf-mmusic-trickle-ice-sip], which
   defines usage with the Session Initiation Protocol (SIP) [RFC3261]
   and the Session Description Protocol [RFC4566] , and
   [XEP-0176], which defines usage with XMPP [RFC6120]. However,
   some of the examples in the document uses SDP and the
   Offer/Answer mechanism [RFC4566] in order to explain the
   underlying concepts.

   NOTE: It is worth noting that there is quite a bit of operational
   experience with the technique behind Trickle ICE, going back as far as 2005
   (when the XMPP Jingle extension defined a "dribble mode" as specified
   in [XEP-0176]); this document incorporates feedback from those who
   have implemented and deployed the technique.

---

Regards,

Christer

---

From: Peter Saint-Andre <[email-masked]>
Date: Wed, 28 Mar 2018 09:42:36 -0600

On 3/24/18 3:53 PM, Christer Holmberg wrote:
> Hi,
> 
>  
> 
> Below is a suggestion on how to modify the Introduction section of
> draft-trickle-ice, in order to make it more clear (in my opinion).

>    receiving media within a session.

Because 5245bis now talks about "data streams" (not "media streams"), we
should make the trickle spec consistent with that usage.

>    “Trickle ICE”, in which given candidates can be exchanged incrementally,
> 

Modulo some small grammar adjustments, that looks good and is shorter.

Thanks, Christer!

Peter

---

From: Christer Holmberg <[email-masked]>
Date: Wed, 28 Mar 2018 16:41:03 +0000

Hi,

I was going to make the media-stream-to-data-stream modification, but forgot :)

Regards,

Christer

-----Original Message-----
From: Peter Saint-Andre [mailto:[email-masked]] 
Sent: 28 March 2018 17:43
To: Christer Holmberg <[email-masked]>; [email-masked]
Subject: Re: [Ice] Tricke ICE: Suggested clarifications to Introduction

>    receiving media within a session.

Because 5245bis now talks about "data streams" (not "media streams"), we should make the trickle spec consistent with that usage.

Thanks, Christer!

Peter

---

From: Adam Roach <[email-masked]>
Date: Wed, 28 Mar 2018 13:17:02 -0500

As a reminder -- this document is on the IESG formal telechat for a week 
from tomorrow. Speaking only for myself, I find it unnecessarily 
disruptive when documents change out from under me during the week 
leading up to the telechat. If you're going to make *editorial* 
changes[1], please make them today or not at all.

/a

____
[1] Technical fixes are always appropriate, although they may slow down 
processing in some cases; we never want to publish the wrong thing due 
to process.

On 3/24/18 4:53 PM, Christer Holmberg wrote:
> _______________________________________________
> Ice mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/ice

---

From: Peter Saint-Andre <[email-masked]>
Date: Wed, 28 Mar 2018 12:18:23 -0600

Duly noted. Planning to submit -18 as soon as possible.

---

From: Christer Holmberg <[email-masked]>
Date: Wed, 28 Mar 2018 18:29:23 +0000

Hi Adam,

>As a reminder -- this document is on the IESG formal telechat for a week from tomorrow. >Speaking only for myself, I find it unnecessarily disruptive when documents change out >from under me during the week leading up to the telechat. If you're going to make >*editorial* changes[1], please make them today or not at all.

Unfortunately it was noted that the draft contains text that is based on old 5245bis procedures. So, while changes are editorial, there are also technical changes.

Regards,

Christer

---

1.  Introduction

---

Regards,

Christer

Ice mailing list

[email-masked]<mailto:[email-masked]>

---

From: Ben Campbell <[email-masked]>
Date: Wed, 28 Mar 2018 17:31:10 -0500

Hi Christer and Peter:

I prefer to have post-IETF LC drafts materially “done” at least 7 days prior to the telechat. That’s nominally 0900 Thursday us/central, although I’ve generally treated that as “sometime before my close of business on Thursday without too much pushback.) But I take this discussion to mean that these probably by then? If that’s the case, I will defer both of the trickle drafts to the next telechat that has space.

Thanks,

Ben.

> On Mar 28, 2018, at 1:29 PM, Christer Holmberg <[email-masked]> wrote:
> 
> Hi Adam,
>

---

From: Peter Saint-Andre <[email-masked]>
Date: Wed, 28 Mar 2018 16:43:31 -0600

I'm doing a final check and will publish this evening.

---

From: Ben Campbell <[email-masked]>
Date: Wed, 28 Mar 2018 17:46:39 -0500

Thanks Peter! I take it you expect that version will be ready for IESG review?

Ben.

---

From: Peter Saint-Andre <[email-masked]>
Date: Wed, 28 Mar 2018 16:51:23 -0600

That is indeed the intent!